Package org.kie.internal.task.api.model

## Enum CommandName

- java.lang.Object
- - java.lang.Enum<CommandName>
  - - org.kie.internal.task.api.model.CommandName

- All Implemented Interfaces:
    `Serializable`, `Comparable<CommandName>`

      public enum CommandName
      extends Enum<CommandName>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AddAttachmentRequest` |
    `AddAttachmentResponse` |
    `AddCommentRequest` |
    `AddCommentResponse` |
    `AddTaskRequest` |
    `AddTaskResponse` |
    `ClaimNextAvailableRequest` |
    `ClaimRequest` |
    `ClaimResponse` |
    `CompleteRequest` |
    `CompleteResponse` |
    `DelegateRequest` |
    `DelegateResponse` |
    `DeleteAttachmentRequest` |
    `DeleteAttachmentResponse` |
    `DeleteCommentRequest` |
    `DeleteCommentResponse` |
    `DeleteFaultRequest` |
    `DeleteOutputRequest` |
    `EventTriggerResponse` |
    `FailRequest` |
    `FailResponse` |
    `ForwardRequest` |
    `ForwardResponse` |
    `GetContentRequest` |
    `GetContentResponse` |
    `GetTaskRequest` |
    `GetTaskResponse` |
    `NominateTaskRequest` |
    `OperationRequest` |
    `OperationResponse` |
    `QueryGenericRequest` |
    `QueryGenericResponse` |
    `QueryGetSubTasksByParentTaskId` |
    `QuerySubTasksAssignedAsPotentialOwner` |
    `QueryTaskByWorkItemId` |
    `QueryTaskByWorkItemIdResponse` |
    `QueryTasksAssignedAsBusinessAdministrator` |
    `QueryTasksAssignedAsExcludedOwner` |
    `QueryTasksAssignedAsPotentialOwner` |
    `QueryTasksAssignedAsPotentialOwnerByGroup` |
    `QueryTasksAssignedAsPotentialOwnerByStatus` |
    `QueryTasksAssignedAsPotentialOwnerByStatusByGroup` |
    `QueryTasksAssignedAsPotentialOwnerWithGroup` |
    `QueryTasksAssignedAsRecipient` |
    `QueryTasksAssignedAsTaskInitiator` |
    `QueryTasksAssignedAsTaskStakeholder` |
    `QueryTasksOwned` |
    `QueryTasksOwnedWithParticularStatus` |
    `QueryTaskSummaryResponse` |
    `RegisterClient` |
    `RegisterForEventRequest` |
    `ReleaseRequest` |
    `ReleaseResponse` |
    `ResumeRequest` |
    `ResumeResponse` |
    `SetDocumentContentRequest` |
    `SetDocumentContentResponse` |
    `SetFaultRequest` |
    `SetOutputRequest` |
    `SetPriorityRequest` |
    `SkipRequest` |
    `SkipResponse` |
    `StartRequest` |
    `StartResponse` |
    `StopRequest` |
    `StopResponse` |
    `SuspendRequest` |
    `SuspendResponse` |
    `UnRegisterForEventRequest` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CommandName` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static CommandName[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OperationRequest

          public static final CommandName OperationRequest

    - #### OperationResponse

          public static final CommandName OperationResponse

    - #### ClaimRequest

          public static final CommandName ClaimRequest

    - #### ClaimResponse

          public static final CommandName ClaimResponse

    - #### ClaimNextAvailableRequest

          public static final CommandName ClaimNextAvailableRequest

    - #### StartRequest

          public static final CommandName StartRequest

    - #### StartResponse

          public static final CommandName StartResponse

    - #### StopRequest

          public static final CommandName StopRequest

    - #### StopResponse

          public static final CommandName StopResponse

    - #### ReleaseRequest

          public static final CommandName ReleaseRequest

    - #### ReleaseResponse

          public static final CommandName ReleaseResponse

    - #### SuspendRequest

          public static final CommandName SuspendRequest

    - #### SuspendResponse

          public static final CommandName SuspendResponse

    - #### ResumeRequest

          public static final CommandName ResumeRequest

    - #### ResumeResponse

          public static final CommandName ResumeResponse

    - #### SkipRequest

          public static final CommandName SkipRequest

    - #### SkipResponse

          public static final CommandName SkipResponse

    - #### DelegateRequest

          public static final CommandName DelegateRequest

    - #### DelegateResponse

          public static final CommandName DelegateResponse

    - #### ForwardRequest

          public static final CommandName ForwardRequest

    - #### ForwardResponse

          public static final CommandName ForwardResponse

    - #### CompleteRequest

          public static final CommandName CompleteRequest

    - #### CompleteResponse

          public static final CommandName CompleteResponse

    - #### FailRequest

          public static final CommandName FailRequest

    - #### FailResponse

          public static final CommandName FailResponse

    - #### GetTaskRequest

          public static final CommandName GetTaskRequest

    - #### GetTaskResponse

          public static final CommandName GetTaskResponse

    - #### AddTaskRequest

          public static final CommandName AddTaskRequest

    - #### AddTaskResponse

          public static final CommandName AddTaskResponse

    - #### AddAttachmentRequest

          public static final CommandName AddAttachmentRequest

    - #### AddAttachmentResponse

          public static final CommandName AddAttachmentResponse

    - #### DeleteAttachmentRequest

          public static final CommandName DeleteAttachmentRequest

    - #### DeleteAttachmentResponse

          public static final CommandName DeleteAttachmentResponse

    - #### SetDocumentContentRequest

          public static final CommandName SetDocumentContentRequest

    - #### SetDocumentContentResponse

          public static final CommandName SetDocumentContentResponse

    - #### GetContentRequest

          public static final CommandName GetContentRequest

    - #### GetContentResponse

          public static final CommandName GetContentResponse

    - #### AddCommentRequest

          public static final CommandName AddCommentRequest

    - #### AddCommentResponse

          public static final CommandName AddCommentResponse

    - #### DeleteCommentRequest

          public static final CommandName DeleteCommentRequest

    - #### DeleteCommentResponse

          public static final CommandName DeleteCommentResponse

    - #### QueryTasksOwned

          public static final CommandName QueryTasksOwned

    - #### QueryTasksOwnedWithParticularStatus

          public static final CommandName QueryTasksOwnedWithParticularStatus

    - #### QueryTasksAssignedAsBusinessAdministrator

          public static final CommandName QueryTasksAssignedAsBusinessAdministrator

    - #### QueryTasksAssignedAsExcludedOwner

          public static final CommandName QueryTasksAssignedAsExcludedOwner

    - #### QueryTasksAssignedAsPotentialOwner

          public static final CommandName QueryTasksAssignedAsPotentialOwner

    - #### QueryTasksAssignedAsPotentialOwnerWithGroup

          public static final CommandName QueryTasksAssignedAsPotentialOwnerWithGroup

    - #### QueryTasksAssignedAsPotentialOwnerByGroup

          public static final CommandName QueryTasksAssignedAsPotentialOwnerByGroup

    - #### QueryTasksAssignedAsPotentialOwnerByStatus

          public static final CommandName QueryTasksAssignedAsPotentialOwnerByStatus

    - #### QueryTasksAssignedAsPotentialOwnerByStatusByGroup

          public static final CommandName QueryTasksAssignedAsPotentialOwnerByStatusByGroup

    - #### QuerySubTasksAssignedAsPotentialOwner

          public static final CommandName QuerySubTasksAssignedAsPotentialOwner

    - #### QueryGetSubTasksByParentTaskId

          public static final CommandName QueryGetSubTasksByParentTaskId

    - #### QueryTasksAssignedAsRecipient

          public static final CommandName QueryTasksAssignedAsRecipient

    - #### QueryTasksAssignedAsTaskInitiator

          public static final CommandName QueryTasksAssignedAsTaskInitiator

    - #### QueryTasksAssignedAsTaskStakeholder

          public static final CommandName QueryTasksAssignedAsTaskStakeholder

    - #### QueryTaskSummaryResponse

          public static final CommandName QueryTaskSummaryResponse

    - #### QueryTaskByWorkItemId

          public static final CommandName QueryTaskByWorkItemId

    - #### QueryTaskByWorkItemIdResponse

          public static final CommandName QueryTaskByWorkItemIdResponse

    - #### RegisterForEventRequest

          public static final CommandName RegisterForEventRequest

    - #### UnRegisterForEventRequest

          public static final CommandName UnRegisterForEventRequest

    - #### EventTriggerResponse

          public static final CommandName EventTriggerResponse

    - #### RegisterClient

          public static final CommandName RegisterClient

    - #### QueryGenericRequest

          public static final CommandName QueryGenericRequest

    - #### QueryGenericResponse

          public static final CommandName QueryGenericResponse

    - #### NominateTaskRequest

          public static final CommandName NominateTaskRequest

    - #### SetOutputRequest

          public static final CommandName SetOutputRequest

    - #### SetFaultRequest

          public static final CommandName SetFaultRequest

    - #### SetPriorityRequest

          public static final CommandName SetPriorityRequest

    - #### DeleteOutputRequest

          public static final CommandName DeleteOutputRequest

    - #### DeleteFaultRequest

          public static final CommandName DeleteFaultRequest

  - ### Method Detail

    - #### values

          public static CommandName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CommandName c : CommandName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CommandName valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null